cURL
curl --request POST \
--url https://grid.squads.xyz/api/grid/v1/auth/refresh-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"encryption_public_key": "<string>",
"kms_payload": {
"session": {
"Privy": {
"privy_access_token": "<string>",
"refresh_token": "<string>",
"session": {
"expires_at": 1,
"wallets": [
{
"additional_signers": [
{
"signer_id": "<string>",
"override_policy_ids": [
"<string>"
]
}
],
"address": "<string>",
"created_at": 1,
"id": "<string>",
"policy_ids": [
"<string>"
],
"exported_at": 1,
"imported_at": 1,
"owner_id": "<string>",
"public_key": "<string>"
}
],
"authorization_key": "<string>",
"encrypted_authorization_key": {
"ciphertext": "<string>",
"encapsulated_key": "<string>",
"encryption_type": "<string>"
}
},
"token": "<string>",
"user_id": "<string>"
}
}
}
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/auth/refresh-session"
payload = {
"encryption_public_key": "<string>",
"kms_payload": { "session": { "Privy": {
"privy_access_token": "<string>",
"refresh_token": "<string>",
"session": {
"expires_at": 1,
"wallets": [
{
"additional_signers": [
{
"signer_id": "<string>",
"override_policy_ids": ["<string>"]
}
],
"address": "<string>",
"created_at": 1,
"id": "<string>",
"policy_ids": ["<string>"],
"exported_at": 1,
"imported_at": 1,
"owner_id": "<string>",
"public_key": "<string>"
}
],
"authorization_key": "<string>",
"encrypted_authorization_key": {
"ciphertext": "<string>",
"encapsulated_key": "<string>",
"encryption_type": "<string>"
}
},
"token": "<string>",
"user_id": "<string>"
} } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
encryption_public_key: '<string>',
kms_payload: {
session: {
Privy: {
privy_access_token: '<string>',
refresh_token: '<string>',
session: {
expires_at: 1,
wallets: [
{
additional_signers: [{signer_id: '<string>', override_policy_ids: ['<string>']}],
address: '<string>',
created_at: 1,
id: '<string>',
policy_ids: ['<string>'],
exported_at: 1,
imported_at: 1,
owner_id: '<string>',
public_key: '<string>'
}
],
authorization_key: '<string>',
encrypted_authorization_key: {
ciphertext: '<string>',
encapsulated_key: '<string>',
encryption_type: '<string>'
}
},
token: '<string>',
user_id: '<string>'
}
}
}
})
};
fetch('https://grid.squads.xyz/api/grid/v1/auth/refresh-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"kms_payload": {
"session": {
"Privy": {
"privy_access_token": "<string>",
"refresh_token": "<string>",
"session": {
"expires_at": 1,
"wallets": [
{
"additional_signers": [
{
"signer_id": "<string>",
"override_policy_ids": [
"<string>"
]
}
],
"address": "<string>",
"created_at": 1,
"id": "<string>",
"policy_ids": [
"<string>"
],
"exported_at": 1,
"imported_at": 1,
"owner_id": "<string>",
"public_key": "<string>"
}
],
"authorization_key": "<string>",
"encrypted_authorization_key": {
"ciphertext": "<string>",
"encapsulated_key": "<string>",
"encryption_type": "<string>"
}
},
"token": "<string>",
"user_id": "<string>"
}
}
}
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}accounts
Post apigridv1authrefresh session
POST
/
api
/
grid
/
v1
/
auth
/
refresh-session
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Body
application/json
Was this page helpful?
⌘I